#include "commodity.h"
#include "data/commodity-data.h"
#include "commodityform.h"
#include "commoditygrid.h"
#include "commoditysettingsform.h"
#include "commodityservice.h"

Commodity::Commodity()
{
}

void Commodity::initServiceUi()
{
    CommodityGrid *grid = new CommodityGrid();
    CommodityForm *form = new CommodityForm();

    m_service = new CommodityService();
    m_ui = grid;
    ((CommodityGrid *) m_ui)->setForm(form);
    m_settingsUi = new CommoditySettingsForm();
}

QIcon Commodity::pluginIcon()
{
    return QIcon(":/icons/commodityPlugin.svg");
}

QTranslator *Commodity::translator()
{
    return translatorFrom(":/translations/commodity_");
}
